Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.cache
Class OverflowMap.HistoricCacheEvent

`java.lang.Object
java.util.EventObject
com.tangosol.util.MapEvent
com.tangosol.net.cache.CacheEvent
com.tangosol.net.cache.OverflowMap.HistoricCacheEvent`

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  OverflowMap

      protected static class OverflowMap.HistoricCacheEvent

extends CacheEvent

A CacheEvent that carries a recent value (to avoid it being lost during eviction).

Field Summary
`protected java.lang.Object` | `m_oValueLatestOld` A previous value, but the most recent of the previous values.

Fields inherited from class com.tangosol.net.cache.CacheEvent
`m_fSynthetic`

Fields inherited from class com.tangosol.util.MapEvent
`ENTRY_DELETED, ENTRY_INSERTED, ENTRY_UPDATED, m_nId, m_oKey, m_oValueNew, m_oValueOld`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`OverflowMap.HistoricCacheEvent(ObservableMap map, int nId, java.lang.Object oKey, java.lang.Object oValueOld, java.lang.Object oValueNew, boolean fSynthetic, java.lang.Object oValueRecent)` Create a Historic CacheEvent that contains the most recent value before the now-current value.

Method Summary
`java.lang.Object` | `getLatestOldValue()` Obtain the value that needs to be saved if this event represents a merged sequence of events ending with the eviction of data.

Methods inherited from class com.tangosol.net.cache.CacheEvent
`getDescription, isSynthetic`

Methods inherited from class com.tangosol.util.MapEvent
`dispatch, dispatch, dispatch, getDescription, getId, getKey, getMap, getNewEntry, getNewValue, getOldEntry, getOldValue, toString`

Methods inherited from class java.util.EventObject
`getSource`

Field Detail

### m_oValueLatestOld

    protected java.lang.Object m_oValueLatestOld

  A previous value, but the most recent of the previous values.

Constructor Detail

### OverflowMap.HistoricCacheEvent

    public OverflowMap.HistoricCacheEvent(ObservableMap map,
                                          int nId,
                                          java.lang.Object oKey,
                                          java.lang.Object oValueOld,
                                          java.lang.Object oValueNew,
                                          boolean fSynthetic,
                                          java.lang.Object oValueRecent)

  Create a Historic CacheEvent that contains the most recent value before the now-current value.
  Parameters:
    `map` - the ObservableMap object that fired the event
    `nId` - this event id as defined by the MapEvent class
    `oKey` - the key into the map
    `oValueOld` - the old value (for update and delete events)
    `oValueNew` - the new value (for insert and update events)
    `fSynthetic` - true iff the event is historically synthetic
    `oValueRecent` - the most recent value before the new value

Method Detail

### getLatestOldValue

    public java.lang.Object getLatestOldValue()

  Obtain the value that needs to be saved if this event represents a merged sequence of events ending with the eviction of data.
  Returns:
    the most recent data value before the new value

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.